/* $Id: packet.h 411 2010-05-06 19:29:33Z oh2gve $
 * 
 * Copyright 2009, 2010 Tapio Aaltonen
 * 
 * 
 * This file is part of aprsg.
 *
 * aprsg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * aprsg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with aprsg.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * 
 * APRS is a registered trademark of APRS Software and Bob Bruninga, WB4APR.
*/

#ifndef PACKET_H
#define PACKET_H

#include "aprspacket.h"
#include <string>
#include <wx/datetime.h>


/// One APRS packet and related data.
struct Packet {
	/// When was the instance of this struct created.
	wxDateTime timestamp;

	/// Number of inputting connection or u for uplink.
	char input;
	
	/// Number of outputting connection.
	char output;

	/// Name of inputting connection.
	std::string inputName;
	
	/// Actual packet received.
	AprsPacket* aprsPacket;
	
	/// Possible third-party from the original packet.
	AprsPacket* thirdParty;
	

	/// Status flag of original packet.
	char flag;
};


#endif // PACKET_H
